# Jaxer.ClientError : Object
Return to: Jaxer Framework index

An error that can be thrown on the client during a callback

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---

Jaxer.ClientError Constructor(String info, [Object options]) : void
An error that can be thrown on the client during a callback. If you want to throw a meaningful (i.e., non-generic) error on the browser from a callback, throw a new Jaxer.ClientError -- just be mindful not to pass sensitive server-side information. On the client, a new Error will be thrown by your proxy, or you can specify you'd like something else to be thrown.

Show Details

1.0

no

### Jaxer.ClientError(String info, [Object options]) : void

An error that can be thrown on the client during a callback. If you want to throw a meaningful (i.e., non-generic) error on the browser from a callback, throw a new Jaxer.ClientError -- just be mindful not to pass sensitive server-side information. On the client, a new Error will be thrown by your proxy, or you can specify you'd like something else to be thrown.

Parameters

String | info | The descriptive text of the Error to be thrown, or an object whose properties will be copied to the Error object to be thrown. But if options.wrapped is specified to be false, this argument itself is thrown on the client.
Object | options | (optional)A hashmap of name-value property pairs. Currently one option is supported: if there is a 'wrapped' property and it is set to false, the info object itself is thrown on the client, rather than a new Error.

aptana_docs